###############################################
# Do not Edit! Generated by:
# spec-builder version 0.11
###############################################

Name: fuse
Summary: File System in Userspace (FUSE) utilities
Group: System Environment/Base
Version: 2.7.4
License: LGPLv2+
URL: http://fuse.sf.net
Release: 1.3.moblin2
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: fuse-udev.nodes
Source2: fuse-makedev.d-fuse
Patch0: fuse-udev_rules.patch
Patch1: fuse-openfix.patch
Patch2: fuse-chkconfig_support.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: kernel >= 2.6.14
Requires: which
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(postun): /sbin/chkconfig
Requires(postun): /sbin/service

%description
With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains the FUSE userspace tools to
mount a FUSE filesystem.

%package devel

Summary: File System in Userspace (FUSE) devel files
Group: Development/Libraries

Requires: pkgconfig
Requires: %{name} >= %{version}

%description devel
With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains development files (headers,
pgk-config) to develop FUSE based applications/filesystems.

%package libs

Summary: File System in Userspace (FUSE) libraries
Group: System Environment/Libraries


%description libs
Devel With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains the FUSE libraries.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .fuse-udev_rules
%patch1 -p1 -b .fuse-openfix
%patch2 -p1 -b .fuse-chkconfig_support.diff

%build
%configure --disable-kernel-module --bindir=/bin --exec-prefix=/ --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang fuse || echo -n >> fuse.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done
mkdir -p %{buildroot}%{_sysconfdir}/udev/makedev.d/99-fuse.nodes
cp -a %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/makedev.d/99-fuse.nodes
mkdir -p %{buildroot}%{_sysconfdir}/makedev.d/z-fuse
cp -a %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

%clean
rm -rf %{buildroot}

%preun 
if [ $1 = 0 ] ; then
	[ -x /sbin/service ] && /sbin/service %{_sysconfdir}/init.d/fuse stop >/dev/null 2>&1
	/sbin/chkconfig --del %{_sysconfdir}/init.d/fuse
fi

%post 
/sbin/chkconfig --add %{_sysconfdir}/init.d/fuse

%postun 
if [ "$1" -ge "1" ]; then
	[ -x /sbin/service ] /sbin/service %{_sysconfdir}/init.d/fuse condrestart >/dev/null 2>&1 || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files -f fuse.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ Filesystems NEWS README README.NFS
/sbin/mount.fuse
%attr(4755,root,root) /bin/fusermount
/bin/ulockmgr_server
%{_sysconfdir}/init.d/fuse
%{_sysconfdir}/makedev.d/z-fuse
%config %{_sysconfdir}/udev/rules.d/99-fuse.rules
%config %{_sysconfdir}/udev/makedev.d/99-fuse.nodes

%files devel
%defattr(-,root,root,-)
/%{_libdir}/libfuse.so
/%{_libdir}/libulockmgr.so
/%{_libdir}/pkgconfig/*.pc
%{_includedir}/fuse.h
%{_includedir}/ulockmgr.h
%{_includedir}/fuse

%files libs
%defattr(-,root,root,-)
%doc COPYING.LIB
/%{_libdir}/libfuse.so.*
/%{_libdir}/libulockmgr.so.*


%changelog
* Wed Apr  8 2009 Passion Zhao <passion.zhao@intel.com> 2.7.4
- Update to 2.7.4
* Fri Dec 19 2008 Arjan van de Ven <arjan@linux.intel.com> 2.7.3
- Move the libs and pkgconfig files to /usr/lib
* Tue Dec 16 2008 Arjan van de Ven <arjan@linux.intel.com> 2.7.3
- Create standardized spec file
